<div th:replace="~{fragments/header}"></div>
    <h1>Create product</h1>
    <form th:action="${edit} ? @{/product/edit/{id}(id=${id})} : @{/product/add/}"
        th:object="${productForm}" method="post">
        <input type="text" th:field="*{name}"/>
        <br/>
        <input type="text" th:field="*{category}"/>
        <br/>
        <input type="number" step="0.01" th:field="*{price}"/>
        <br/>
        <input class="btn btn-primary" type="submit" value="Create"/>
    </form>

    <div th:if="${errors}">
        <table>
            <tr th:each="error : ${errors}">
                <td th:text="${error.toString()}"></td>
            </tr>
        </table>
    </div>
    
<div th:replace="~{fragments/footer}"></div>